searchNodes=[{"doc":"A middleware for the Tesla HTTP client that logs requests expressed in Curl. Parses Tesla.Env structs into a curl command and logs it. This is useful for debugging requests and responses. Examples defmodule MyClient do use Tesla plug Tesla.Middleware.Curl , follow_redirects : true , redact_fields : [ &quot;api_token&quot; , &quot;authorization&quot; ] end Options :follow_redirects - boolean, will add the -L flag to the curl command :redact_fields - a list of keys or regex capture groups to redact from the request body :compressed - boolean, will add the --compressed flag to the curl command","ref":"Tesla.Middleware.Curl.html","title":"Tesla.Middleware.Curl","type":"module"},{"doc":"Serves as the main entrypoint to the middleware. Handles this middleware and calls the next piece of middleware in the chain.","ref":"Tesla.Middleware.Curl.html#call/3","title":"Tesla.Middleware.Curl.call/3","type":"function"},{"doc":"","ref":"Tesla.Middleware.Curl.html#t:method/0","title":"Tesla.Middleware.Curl.method/0","type":"type"},{"doc":"TeslaCurl is a middleware for Tesla . It will log a curl command for each request. The package can be installed by adding tesla_curl to your list of dependencies in mix.exs : def deps do [ { :tesla_curl , &quot;~&gt; 1.0.1&quot; } ] end","ref":"readme.html","title":"TeslaCurl","type":"extras"},{"doc":"defmodule HelloWorld do use Tesla plug Tesla.Middleware.Curl end Note - Plugs are executed in the order they are defined. As such, it is recommended you define TeslaCurl below other middlewares. For example, if the TeslaCurl plug is defined above the Headers middleware, headers will not be included in the curl log output.","ref":"readme.html#usage","title":"TeslaCurl - Usage","type":"extras"},{"doc":"Field Redaction You can pass a list of header keys or body field keys to be redacted in the options, like so: redact_fields: [&quot;api_token&quot;, &quot;authorization&quot;, &quot;password&quot;] If supplied, the redacted fields will be replaced with [REDACTED] in the curl command. If a request's body is a string, you can use a regular expression with a capture group to redact the field. For example, if you were supplying Tesla with a string body that looked like this- &quot;&lt;username&gt;John Doe&lt;/username&gt;&lt;password&gt;horse battery staple&lt;/password&gt;&quot; You could redact the password field by supplying the following option- redact_fields: [~r{&lt;password&gt;(.*?)&lt;/password&gt;}] . This field will be replaced with &lt;password&gt;[REDACTED]&lt;/password&gt; in the curl command. Follow Redirects If you would like to enable the flag to follow redirects by default, supply follow_redirects: true in the options list. Compressed For compressed responses, you can supply the compressed: true option. This will add the --compressed flag to the curl command. Here is an example of options configuration with all options enabled: plug Tesla.Middleware.Curl , follow_redirects : true , redact_fields : [ &quot;api_token&quot; , &quot;authorization&quot; , &quot;password&quot; ] , compressed : true","ref":"readme.html#options","title":"TeslaCurl - Options","type":"extras"},{"doc":"The source code is under the MIT License. Copyright (c) 2023- Colin Cromar.","ref":"readme.html#license","title":"TeslaCurl - License","type":"extras"}]